> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payroll Statuses



## OpenAPI

````yaml /api-reference/preview.json get /organizations/{organization_id}/payrolls/statuses
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/payrolls/statuses:
    get:
      tags:
        - Core
        - Payrolls
      summary: List Payroll Statuses
      operationId: >-
        list_payroll_statuses_organizations__organization_id__payrolls_statuses_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: calendar_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
              - type: 'null'
            title: Calendar Id
        - name: pay_group_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
              - type: 'null'
            title: Pay Group Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: prev_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Prev Cursor
        - name: sort
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default:
              - id
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_Annotated_GBPayrollStatusHistory__FieldInfo_annotation_NoneType__required_True__discriminator__country_code____
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    PaginatedResponse_Annotated_GBPayrollStatusHistory__FieldInfo_annotation_NoneType__required_True__discriminator__country_code____:
      properties:
        items:
          items:
            oneOf:
              - $ref: '#/components/schemas/GBPayrollStatusHistory'
            discriminator:
              propertyName: country_code
              mapping:
                GB:
                  $ref: '#/components/schemas/GBPayrollStatusHistory'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
      additionalProperties: true
      type: object
      required:
        - items
        - pagination
      title: >-
        PaginatedResponse[Annotated[GBPayrollStatusHistory,
        FieldInfo(annotation=NoneType, required=True,
        discriminator='country_code')]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GBPayrollStatusHistory:
      properties:
        id:
          type: string
          title: Id
        version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version
        country_code:
          type: string
          const: GB
          title: Country Code
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
        content:
          $ref: '#/components/schemas/GBPayrollTasks'
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
      type: object
      required:
        - id
        - country_code
        - status
        - content
        - created_at
        - created_by
      title: GBPayrollStatusHistory
    PaginationMeta:
      properties:
        limit:
          type: integer
          title: Limit
        has_next:
          type: boolean
          title: Has Next
          default: false
        has_prev:
          type: boolean
          title: Has Prev
          default: false
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
        total:
          type: integer
          title: Total
          default: 0
      additionalProperties: true
      type: object
      required:
        - limit
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PayrollTaskStatus:
      type: string
      enum:
        - DRAFT
        - IN_PROGRESS
        - SUCCESS
        - FAILED
      title: PayrollTaskStatus
    GBPayrollTasks:
      properties:
        payroll_calculation:
          $ref: '#/components/schemas/GBCalculationTask'
        calculation_approve:
          $ref: '#/components/schemas/GBCalculationApproveTask'
        hmrc_fps_submission:
          anyOf:
            - $ref: '#/components/schemas/GBHmrcFpsSubmissionTask'
            - type: 'null'
        hmrc_fps_til_submission:
          anyOf:
            - $ref: '#/components/schemas/GBHmrcFpsSubmissionTask'
            - type: 'null'
        payslip_generation:
          anyOf:
            - $ref: '#/components/schemas/GBPayslipGenerationTask'
            - type: 'null'
        bacs_file_generation:
          anyOf:
            - $ref: '#/components/schemas/GBBacsFileTask'
            - type: 'null'
      type: object
      required:
        - payroll_calculation
        - calculation_approve
      title: GBPayrollTasks
    GBCalculationTask:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBCalculationTask
    GBCalculationApproveTask:
      properties:
        task_id:
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBCalculationApproveTask
    GBHmrcFpsSubmissionTask:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBHmrcFpsSubmissionTask
    GBPayslipGenerationTask:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBPayslipGenerationTask
    GBBacsFileTask:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBBacsFileTask
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````